CREATE OR REPLACE FUNCTION "BellItalia".EliminaPrenotazione(
  codc integer,
  numero numeric(2,0) ,
  piano numeric(2,0) ,
  hotel character varying(32),
  dataarrivo date ,
  datapartenza date
)
RETURNS VOID AS 
 
$$
    BEGIN
	DELETE FROM "BellItalia"."prenota"
	WHERE "prenota"."codc" = codc
	AND "prenota"."numero" = numero
	AND "prenota"."piano" = piano
	AND "prenota"."hotel" = hotel
	AND "prenota"."dataarrivo" = dataarrivo
	AND "prenota"."datapartenza" = datapartenza;
       END;
   $$ 

LANGUAGE plpgsql;

SELECT *
FROM "BellItalia".EliminaPrenotazione(1,12,1,'genova@bellitalia.it','01-12-2000','04-12-2000');

SELECT *
FROM "BellItalia"."prenota";