CREATE OR REPLACE FUNCTION "BellItalia".Trasferimento(IN trasferito numeric, IN hotell character varying(32), IN mansionee character varying(32))
RETURNS VOID AS 
 
$$
BEGIN
	UPDATE "BellItalia"."personale"
	SET "hotel" = hotell
	WHERE "personale"."codp" = trasferito;

	UPDATE "BellItalia"."personale"
	SET "mansione" = mansionee
	WHERE "personale"."codp" = trasferito;

END; $$ 

LANGUAGE plpgsql;

SELECT *
FROM "BellItalia".Trasferimento(15,'genova@bellitalia.it','cuoca');

SELECT *
FROM "BellItalia"."personale";