--elimina un cliente dalla base di dati

CREATE OR REPLACE FUNCTION "BellItalia".EliminaCliente(
  codc integer
)
RETURNS VOID AS 
 
$$
    BEGIN
	IF codc NOT IN (SELECT "cliente"."codc" FROM "BellItalia"."cliente")
	THEN RAISE NOTICE 'cliente non esistente';
	END IF;
	DELETE FROM "BellItalia"."cliente"
	WHERE "cliente"."codc" = codc;
       END;
   $$ 

LANGUAGE plpgsql;

SELECT *
FROM "BellItalia".EliminaCliente(7);

SELECT *
FROM "BellItalia"."cliente";