CREATE OR REPLACE FUNCTION "BellItalia".Assunzione(IN CodP integer,
  IN nome character varying(32),
  IN cognome character varying(32),
  IN telefono numeric(10,0) ,
  IN dataNascita date ,
  IN indirizzo character varying(32),
  IN dataAssunzione date ,
  IN dataArrivo date ,
  IN dataInizio date ,
  IN dataFine date,
  IN mansione character varying(32) ,
  IN orario character varying(23) ,
  IN stipendio numeric(5,0) ,
  IN hotel character varying(32))
RETURNS VOID AS 
 
$$
    BEGIN

    IF codp IN (SELECT "codp"
	FROM "BellItalia"."personale")
	THEN RAISE NOTICE 'codp gi usato';
ELSE
    INSERT INTO "BellItalia"."personale" VALUES(
    codp,
    nome,
    cognome,
    telefono,
    dataNascita,
    indirizzo,
    dataAssunzione,
    dataArrivo,
    dataInizio,
    dataFine,
    mansione,
    orario,
    stipendio,
    hotel);
    END IF;
       END;
   $$ 

LANGUAGE plpgsql;

SELECT *
FROM "BellItalia".ASSUNZIONE(16,'berio', 'rossi', 010232323, '12-12-1900', 'via merlo 13', '12-11-2000', '12-11-2000','12-11-2000',NULL,'cuoco','08:00-09:00/10:00-11:00',1200,'genova@bellitalia.it');

SELECT *
FROM "BellItalia"."personale";